#procedure AlgD0(i)
****************************************************************************
**
**  Filename:
**            AlgD0.prc
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Special case of the binomial convolution algorithm (type D); 
**            see \keyword{AlgD}.
**
**
**  Comments:
**
**
**  Revision: 
**            $Id: AlgD0.prc,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: AlgD0.prc,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*
repeat;
	if ( ( count(den`i',1) == 0 ) && ( count(j`i',1) > 0 ) 
			&& ( count(bino`i',1) == 1 ) 
			&& ( match(S`i'(R(?a),X(?x),0,j`i')) ) && ( match(S`i'(R(?a),X(?x),n?,-j`i')) ) );
		if ( count(pow`i',1) );
			id  sum`i'(j`i',n1?{,0,1},n2?)*pow`i'(y1?,j`i')*j`i'^k?*
				bino`i'(n2?,n0?{,0},j`i')*
				S`i'(R(?a),X(?x),n0?{,0},j`i')*S`i'(R(?b),X(?y),n?,-j`i') = 
				+ n2*pow(y1,1)*sum`i'(j`i',n1,n2-1)*pow`i'(y1,j`i')*j`i'^(k-1)*
				bino`i'(n2,n0-1,j`i')*S`i'(R(?a),X(?x),n0+1,j`i')*S`i'(R(?b),X(?y),n,-j`i')
				+ n2*pow(y1,1)*S(R(?a),X(?x),n0+1)*S(R(?b),X(?y),n-1);
		else;
			id  sum`i'(j`i',n1?{,0,1},n2?)*j`i'^k?*
				bino`i'(n2?,n0?{,0},j`i')*
				S`i'(R(?a),X(?x),n0?{,0},j`i')*S`i'(R(?b),X(?y),n?,-j`i') = 
				+ n2*sum`i'(j`i',n1,n2-1)*j`i'^(k-1)*
				bino`i'(n2,n0-1,j`i')*S`i'(R(?a),X(?x),n0+1,j`i')*S`i'(R(?b),X(?y),n,-j`i')
				+ n2*S(R(?a),X(?x),n0+1)*S(R(?b),X(?y),n-1);
		endif;
	endif;
endrepeat;

#call SubsS(S)

id  pow(y1?,n1?)*pow(y1?,n2?) = pow(y1,n1+n2);

#endprocedure
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************


