#-
****************************************************************************
**
**  Filename: 
**            CheckResults.frm
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Test program to compare the calculated results with stored 
**            results. 
**
**  Comments:
**
**
**  Revision: 
**            $Id: CheckResults.frm,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: CheckResults.frm,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*
#:	LargeSize   100000000
#:	SmallSize    20000000
#:	ScratchSize 100000000
#:	SortIOSize    2000000
#:	WorkSpace    10000000
#:	MaxTermSize   4000000

#define EXPANDEP "6"
#include declvars.h

s example1,...,example4,int1,int2;
cf ctoponf,ctopo,bbox,Tri3;
cf Li,ln;
Off statistics;
.global

#include results/Examples.ori 
#include results/ctoponf343.ori
#include results/bbox86.ori
#include results/trimass18.ori

L testexample1 = oriexample1 - example1;
L testexample2 = oriexample2 - example2;
L testexample3 = oriexample3 - example3;
L testexample4 = oriexample4 - example4;

L testctopo343 = [orictoponf(2,1,1,1,1,1,x1,x2)] - 
		    ctoponf(2,1,1,1,1,1,x1,x2);

L testbbox86 = [bbox(3,2,ep,1,1,x1,x2)] -
				bbox(3,2,ep,1,1,x1,x2);

L testtrimass18 = [Tri3(2,1+ep,1,1,x1)] -
				Tri3(2,1+ep,1,1,x1);

#include ./tmp/Examples.out
#include ./tmp/ctoponf343
#include ./tmp/bbox86
#include ./tmp/Trimass18
.sort;

Drop;
NDrop testexample1,...,testexample4,testctopo343,testbbox86,testtrimass18;

print +s;

.end;
*
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
